Welcom to vuMeter

Welcome to vuMeter

Seeing is believing:

vuMeter looks like this in your Dock:

Or like this on your desktop:

It goes well with my iTunes46 desklet...

Actual release versions are available at www.dockex.com.

Discussion, betas and support is located at www.aqua-soft.org, see this topic.


About vuMeter

This docklet / desklet was created for the cool folks at www.Aqua-Soft.org .

It runs on both AveDesk and ObjectDock. The auto-hide feature is available at AveDesk only.

Usage: just play around with the settings at the "Skins and Meter" tab to find the best settings. Once this software runs, your audio recorder won't be available for other applications. Since it works as a sound recorder and some audio hardware might not be able to play and record at the same time, be warned that it might cause skipping sound and even bluescreening your computer. In that case, please update your drivers or refrain from using it at all.

I always wanted to have something like that on my desktop so I wrote it - I hope you enjoy it too.

If you find it useful or just like to have it around, feel free to donate by pushing the Paypal button located at the about box.

Special thanks to Pe8er and Unbeliever for their starter skins.

regards,
Hakan Erduman (herd)

Bensheim / Hessen / Germany, end of January 2005


vuMeter Frequently Asked Questions

vuMeter FAQ

WTF IS THAT?

Its a small volume meter widget for ObjectDock and AveDesk. Like the scales you get on older hifi equipment. Its skinnable by drawing a lot of graphics and editing an ini-File. I always wanted to have that on my dock or desktop.

WHERE'S THE YZ-DOCK VERSION?

Sorry. I had to drop that because it didn't work at all.

HOW DO I INSTALL IT?

Expand the archive this text is in to:

C:\Program Files\StarDock\ObjectDock\Docklets

or the equivalent AveDesk folder. Make sure that there is the following folder structure:

ObjectDock\Docklets
ObjectDock\Docklets\vuMeter
ObjectDock\Docklets\vuMeter\Skins
ObjectDock\Docklets\vuMeter\Skins\Default

and some more folders below Skins.

I ADDED IT TO OBJECT DOCK BUT NO WORKY!

Right click on it and click start/stop. Play some music in your iTunes/WinAmp whatever. Scales should move. Click on Docklet Settings and pick a skin if you don't like the default one.

NOW I SEE THE THE SKIN BUT SCALES DON'T MOVE AT ALL!

Seemingly you have to select a record source first - by clicking "Recorder Volume", you will see this dialog:

Pick Stereo-Downmix or whatever sound source seems fit; e.g. if you only ever want your Audio- CDs on the scales, select accordingly: select while looking at the scales. Some hardware may allow you selecting multiple sources while some other will only allow one. Pick wisely!

ITS WAY TOO LOUD! THE SCALES SIMPLY STICK RIGHTMOST!

Turn the record volume down. (See image above)

THEY STILL DO! I AM AT LOWEST ALREADY!

Try deselect some other input sources or turn their volume down. Alternatively, select "Average" instead of "Peak".

THEY STILL DO!

Sorry. Ask your nearest hardware doctor. Try to record something with sndrec32.exe. If this is still too loud when replayed, no matter what you or he does, your soundcard is likely utter crap. Sorry again.

IT USES LOTS OF CPU!

Try to be concise on what it is recording. Also, skins that are larger than, say 64x64 or 128x32, can get time consuming. It also depends of the speed of your GFX card. If the card isn't fast enough or the system isn't built very well, the system will overompensate with CPU usage. Design your skins so that they aren't scaled.

WOW IT USES NO CPU AT ALL!

Thats the intent. It can achieve that because of its skins being taylored to no measurable rendering calculation - its just copying cached memory, and thanks to the marvels of DMA, this happens without CPU intervention, really.

I GET SOME GOO ABOUT "CAPABILITIES" WHEN I CLICK START/STOP!

Another program is occupying the recorder. Close that program. No, you can't run it in AveDesk and ObjectDock at the same time unless one of them is stopped. No, I can't tell you who is occupying the recorder. Perhaps a crashed instance of ObjectDock that is still in memory?

OBJECT DOCK CRASHES OR FREEZES WHEN I REMOVE IT FROM THE DOCK!

Yes, it does that rarely. I blame it on the built in evils of utilizing global hooks. Only workaround: Stop it before removing.

I CREATED A SKIN FOR IT BUT IT CRASHES!

It does not forgive errors at all. Most common errors are:

  • Its Stereo and not stereo. Anything else but Stereo is treated as Mono. If you still did not get it, look at the case sensitivity.
  • Forget to mention an image that you use in [ImageList]
  • Fail to count properly from 1 to n in [ImageList]
  • Misspellt things [left] instead of [Left]
  • invalid ranges Left=-1
  • having no [Left] and [Right] sections when Stereo, no [Mono] section when Mono.

are all awarded with an immediate crash. C'mon, it's faster that way. Just look at the present ini files to figure out.

WHY DO I HAVE TO DRAW 10'S OF IMAGES? COULDN'T YOU JUST ROTATE THAT ARROW?

It can't provide a new frame every 5 ms by doing that. Copying one or two of the same bundle of images to the screen is much more efficient than drawing, rotating or scaling, because it can be delegated to the card rather than the CPU. Make sure that your images won't be caled, let Right-Left be equal to the actual width, Bottom - Top be equal to actual height of the frame. If I'd rotate an image or draw a line, all you would get would be a slideshow with 100% CPU. No, I'm not using DirectX here. However, I'm considering a helper tool to aid skin generation.

AWW, MUST I USE PNGS FOR MY SKINS?

Use .bmp, .gif, .jpg, .jpeg if you wish.

MY QUESTION HASN'T BEEN ANSWERED!

Come to www.aqua-soft.org - You'll find help on the "AveDesk" SubForum under "Community Applications". Please make sure to read the forums before asking. Better PM me (herd) than blindly asking the same goo that has been answered already. Use the search feature.

If you don't like Aqua-Soft, are banned from there or whatever, I'm regularly checking my PMs as user herd at:

  • www.aquaxp.com
  • www.gfxoasis.com
  • www.aero-soft.com
  • http://kapsules.shellscape.org
  • www.dockex.com

The screenshot here is by Kevin Kalla - thanks a lot.


vuMeter Changelog

Changelog

  • 2004-11-24 first preview release beta at Aqua-Soft
  • 2004-12-16 non-public closed beta with Autohide and recorder tweaks
  • 2005-01-30 official 1.0.0.1 release at Dockex.com.


.topic 0x80a60405
Check this one if you want to start displaying with the start of ObjectDock / AveDesk.

.topic 0x80a603f0
Click here to adjust the recorder volume - select Stereo downmix, if in doubt.

.topic 0x806c03f6
Click here to add the selected Applications from the right pane to the left.

.topic 0x806c03f7
Click here to remove the selected Applications from the right pane of monitored Applications.

.topic 0x806c03f4
Check this one if you want to hide vuMeter if none of the Applications in the left pane are running.

.topic 0x80a603ef
Adjust the bit rate, resolution and channel selection here. Lower specs mean less impact on the hardware but less accuracy.

.topic 0x80a603fc
Adjust the buffer size of in bytes: Each of these buffers are processed to calculate the peak or average metering of the sound volume.

.topic 0x80a603ee
Here, you can pick the default Microsoft mixer or specify a sound card (if you have more than one)

.topic 0x80a60403
This should be a preview of the actual Skin. If you don't see anything here, you probably didn't keep the zip folder structure intact.

.topic 0x80a603ec
Pick a Skin here. A preview should appear on the right space. Drag the entire dialog around to see if it matches your wallpaper.

.topic 0x806c03f5
This is the list of currently running programs. Select one or more (with SHIFT and CTRL) and click on the Add button to tie vuMeter's visibility to them.

.topic 0x806c03f3
This is the list of programs that are monitored for keeping vuMeter visible. If none of them runs, vuMeter is hidden.

.topic 0x80a603fb
Choosing this calculates the vuMeter scales as an average about the entire buffer. (See buffer size)

.topic 0x80a603fa
Choosing this sets the vuMeter scales to the maximum value found in each buffer. (See buffer size)